Bug 1064837 - Restrictive license on test file [NEEDINFO]
Summary: Restrictive license on test file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-Class-MethodMaker
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Jan Kepler
URL: https://github.com/renormalist/class-...
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks: 1070830
TreeView+ depends on / blocked
 
Reported: 2014-02-13 11:49 UTC by Paul Howarth
Modified: 2014-05-26 06:24 UTC (History)
6 users (show)

(edit)
Cause:
  Reading internal tests distributed in source package for
  perl-Class-MethodMaker.
Consequence:
  t/test_v1.pm file is covered by a license which does not
  allow redistribution.
Fix: 
  t/test_v1.pm file and t/v1_*.t files have been removed
  from source tar ball.
Result:
  perl-Class-MethodMaker package contains only files that
  can be redistributed freely.
Clone Of:
(edit)
Last Closed: 2014-05-22 13:16:41 UTC
lkocman: needinfo? (snagar)
lkocman: needinfo? (snagar)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0534 normal SHIPPED_LIVE perl-Class-MethodMaker bug fix update 2014-05-22 17:16:27 UTC

Description Paul Howarth 2014-02-13 11:49:53 UTC
This package was introduced in RHEL 6.1, at version 2.16.

Upstream has just issued a new version (2.20) that removes a test file with a problematic license; see https://github.com/renormalist/class-methodmaker/issues/2

The offending license text is:

# Copyright 1996 Organic Online, Inc.  Title, ownership rights, and
# intellectual property rights in and to this software remain with
# Organic Online, Inc.  Organic Online, Inc. hereby reserves all rights
# in and to this software.  This software may not be copied, modified,
# or used without a license from Organic Online, Inc.  This software is
# protected by international copyright laws and treaties, and may be
# protected by other law.  Violation of copyright laws may result in
# civil liability and criminal penalties.

This text is included in perl-Class-MethodMaker-2.16-4.el6.src.rpm

Comment 2 Petr Pisar 2014-02-13 12:16:00 UTC
Thank you for the report. I confirm this issue.

Comment 4 Petr Pisar 2014-02-13 12:32:22 UTC
Upstream resolved this issue by removing the file and all tests requiring:

commit 84d86434796819f929dae421b24d6a0f15030305
Author: Steffen Schwigon <ss5@renormalist.net>
Date:   Mon Feb 3 22:12:51 2014 +0100

    Delete all v1 unit tests due to license issue
    
    See
    
      https://github.com/renormalist/class-methodmaker/issues/2

 t/test_v1.pm              |  68 ---------------------
 t/v1_abstract.t           |  36 ------------
 t/v1_boolean.t            |  83 --------------------------
 t/v1_code.t               |  45 --------------
 t/v1_copy.t               |  49 ----------------
 t/v1_counter.t            |  34 -----------
 t/v1_get_concat.t         |  37 ------------
 t/v1_get_set.t            |  57 ------------------
 t/v1_get_set_hi.t         |  29 ---------
 t/v1_hash.t               | 146 ----------------------------------------------
 t/v1_key_attrib.t         |  51 ----------------
 t/v1_key_with_create.t    |  54 -----------------
 t/v1_list.t               |  81 -------------------------
 t/v1_method.t             |  31 ----------
 t/v1_new.t                |  84 --------------------------
 t/v1_new_hash_with_init.t |  29 ---------
 t/v1_object.t             |  79 -------------------------
 t/v1_object_list.t        |  79 -------------------------
 t/v1_object_tie_hash.t    |  89 ----------------------------
 t/v1_object_tie_list.t    | 107 ---------------------------------
 t/v1_set_once.t           | 120 -------------------------------------
 t/v1_set_once_static.t    |  88 ----------------------------
 t/v1_singleton.t          |  36 ------------
 t/v1_static_get_set.t     |  55 -----------------
 t/v1_static_hash.t        |  87 ---------------------------
 t/v1_static_list.t        |  93 -----------------------------
 t/v1_tie_hash.t           |  90 ----------------------------
 t/v1_tie_list.t           |  67 ---------------------
 t/v1_tie_scalar.t         |  77 ------------------------
 29 files changed, 1981 deletions(-)

Comment 5 Petr Pisar 2014-02-13 12:33:57 UTC
The tests are useless without the offending file t/test_v1.pm. Deleting them is the right way.

Comment 9 Petr Pisar 2014-04-09 12:10:15 UTC
How to test:

(1) Check that none file in the source RPM package does forbid free redistribution (search for a text "this software may not be copied, modified, or used without a license").

Before: t/test_v1.pm is such a file.
After: All files can be distributed.

Comment 16 errata-xmlrpc 2014-05-22 13:16:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0534.html


Note You need to log in before you can comment on or make changes to this bug.